Bug 75209 - FILEOPEN: Impress grouped pictures not displayed in slideshow (see comment 21)
Summary: FILEOPEN: Impress grouped pictures not displayed in slideshow (see comment 21)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Slide-Show
  Show dependency treegraph
 
Reported: 2014-02-19 14:23 UTC by Luke
Modified: 2019-01-11 20:39 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Comparison with 4.1, 4.3, MS Office 2013 (168.02 KB, image/png)
2014-04-23 04:52 UTC, Luke
Details
Sample MS Office 2003 .PPT file showing missing images (1.45 MB, application/vnd.ms-powerpoint)
2014-09-10 06:47 UTC, Luke
Details
Sample .ODP file showing missing images (217.26 KB, application/vnd.oasis.opendocument.presentation)
2014-09-10 06:52 UTC, Luke
Details
.odp file to bibisect, the commit show above is unrelated to the root cause (1.56 MB, application/vnd.oasis.opendocument.presentation)
2014-09-10 07:23 UTC, Jan Holesovsky
Details
stripped-down .ODP with only pictures (1.54 MB, application/vnd.oasis.opendocument.presentation)
2014-09-20 21:10 UTC, Luke
Details
Simple example made with Impress by following the steps below: (21.13 KB, application/vnd.oasis.opendocument.presentation)
2015-10-19 07:54 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2014-02-19 14:23:25 UTC
Ever since 4.2 Impress does not show the images of faces in attachment 83071 [details] when the user starts a slide show.

This is an especially insidious bug, as the pictures will show in the normal view, but will disappear, when the user starts the show. I have verified the pictures do show in 4.1 and do not show up in 4.2.0 and 4.3.0 up to Build ID: 637353bb46d3c7d9537e47e4e003aef78a0c0ab3. This bug appears to affect both Linux and Windows OS.
Comment 1 Jean-Baptiste Faure 2014-04-21 13:10:47 UTC Comment hidden (obsolete)
Comment 2 Luke 2014-04-23 04:52:56 UTC
Created attachment 97796 [details]
Comparison with 4.1, 4.3, MS Office 2013

@Jean-Baptiste Faure 
No problem for me with pictures in slideshow.
:This is a regression. You are likely opening it with LO 4.1. I have verified this issue with the latest 4.3 nightly and 4.2 in both Win 7 and Linux.

What is special with this particular file?
:It was created with MS Office 2007

Does it work as expected if you convert it to OpenDocument Format or to strict OOXML format?
:No, When I saved as strict OOXML, LO 4.2+ had the same issues as with the .pptx file.
Comment 3 tommy27 2014-05-03 13:28:28 UTC
tested under Win7x64

I confirm bug (images not shown in slideshow) with 4.2.2.3 and 4.3.0.0alpha+

images are shown but with some kind of transparency in 4.1.5.2 like in your screenshot, so there's a regression of an already imperfect behaviour.

I've removed "regression" from summary notes and put it under Keywords where it belongs

I agree this is indisious bug since it looks OK in normal view.
Comment 4 Andras Timar 2014-05-05 21:21:38 UTC Comment hidden (obsolete)
Comment 5 Luke 2014-09-10 06:47:08 UTC Comment hidden (obsolete)
Comment 6 Luke 2014-09-10 06:52:48 UTC Comment hidden (obsolete)
Comment 7 Jan Holesovsky 2014-09-10 07:20:39 UTC
The behavior here is pretty annoying :-(

Having said that, my fix is not the culprit here, my only change is that the shapes are grouped.  When you ungroup them in the presentation, you can see the pictures of the people again in the presentation mode too.

I'll attach the .odp version of the initial attachment; it would be great if you can bibisect when that become broken - as you can see, even the .odp version has the same behavior - shows fine in the edit mode, but not in the presentation mode...

Adding bibisectrequest keyword, to bibisect with the .odp file I'm about to attach.

Thank you!
Comment 8 Jan Holesovsky 2014-09-10 07:23:27 UTC
Created attachment 106028 [details]
.odp file to bibisect, the commit show above is unrelated to the root cause
Comment 9 Xisco Faulí 2014-09-10 15:45:48 UTC Comment hidden (obsolete)
Comment 10 Xisco Faulí 2014-09-10 16:12:52 UTC
@Kendy, I can't bibisect your file ( attachment 106028 [details] ) as images aren't seen in pre-4.2 versions neither
Comment 11 Luke 2014-09-10 19:22:38 UTC Comment hidden (obsolete)
Comment 12 Luke 2014-09-15 18:31:17 UTC Comment hidden (obsolete)
Comment 13 Jan Holesovsky 2014-09-17 08:02:51 UTC
Luke: Yes, your observation is correct, 2 hidden bugs...

Splitting to 2 reports sounds to me as a great plan :-) - I think best if you continue handling the pictures in this one, and create the other for gradinent.  Please mention this bug there for reference.

Thanks a lot for handling this!
Comment 14 Luke 2014-09-20 21:10:20 UTC
Created attachment 106589 [details]
stripped-down .ODP with only pictures
Comment 15 Björn Michaelsen 2014-11-28 09:45:23 UTC Comment hidden (obsolete)
Comment 16 tommy27 2014-12-02 08:48:55 UTC Comment hidden (obsolete)
Comment 17 tommy27 2014-12-05 22:37:47 UTC Comment hidden (obsolete)
Comment 18 tommy27 2015-05-30 05:09:16 UTC Comment hidden (obsolete)
Comment 19 tommy27 2015-10-18 06:37:30 UTC
still reproducible 
LibO 5.1.0.0.alpha1+
Build ID: 4b55c28940d741e53648115a9cfb58f2d6db38a5
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-10-15_06:14:50
Locale: it-IT (it_IT)
Comment 20 tommy27 2015-10-18 06:39:29 UTC
@Kendy
this bug was bibisected one year ago (see comment 9)
did you analyze the code to see if a fix is possible?
Comment 21 Luke 2015-10-19 07:54:54 UTC
Created attachment 119738 [details]
Simple example made with Impress by following the steps below:

I've made a simpler version of this 
1) In impress Draw, Insert shape
2) Area->Bitmaps->Pick any bitmap, uncheck "Tile"
3) Add another shape
4) Group the shapes
5) Start the slideshow

By shrinking  and expanding the connector on the attached example, you can cause the rose to appear/disappear. This means that the slideshow viewer is using the group position to determine where the image goes instead of using the shape's position.
Comment 22 Robinson Tryon (qubit) 2015-12-13 11:09:26 UTC Comment hidden (obsolete)
Comment 23 Xisco Faulí 2016-10-06 11:29:00 UTC
Is looks like the bug in grouped image is inherited from OOo as the problem in comment 21 can be already reproduced in Libreoffice 3.3.
Just to be clear: Kendy's commits just arose this bug but it was there before.
Removing keywords 'regression' and 'bibisected' and changing version to Inherited from OOo
Comment 24 tommy27 2016-10-11 05:33:16 UTC
still reproducible with LibO 5.3.0.0+ alpha daily build from yesterday
Comment 25 tommy27 2017-02-18 20:14:20 UTC
still present in LibO 5.4.0.0.alpha0+
Build ID: 5bb5a9dacb84ec14f7148a5a5d9ba38b7e9f1039
CPU Threads: 4; OS Version: Windows 6.29; UI Render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-02-17_23:30:45
Locale: it-IT (it_IT); Calc: group
Comment 26 tommy27 2017-02-18 20:21:24 UTC Comment hidden (obsolete)
Comment 27 tommy27 2017-07-23 08:30:06 UTC
still present in LibO 5.3.4.2 and recent 6.0.0.0 alpha.
Comment 28 Luke 2017-10-04 05:29:40 UTC
The fix for Bug 105620

https://cgit.freedesktop.org/libreoffice/core/commit/?id=b220bc6d82841b5b53b856d94a1eb99bb3a9f2d7

Resolved this issue on Linux, but not Windows.
Comment 29 Xisco Faulí 2019-01-11 20:39:28 UTC
Lowering importance: Highest + Inherit from OOo doesn't make much sense at this point anymore...